| Flutter Impeller |

Public Member Functions | List of all members
impeller::testing::MockSegmentReceiver Class Reference
Inheritance diagram for impeller::testing::MockSegmentReceiver:

## Public Member Functions
| MOCK_METHOD (void, BeginContour,(Point origin, bool will_be_closed),(override))
| MOCK_METHOD (void, RecordLine,(Point p1, Point p2),(override))
| MOCK_METHOD (void, RecordQuad,(Point p1, Point cp, Point p2),(override))
| MOCK_METHOD (void, RecordConic,(Point p1, Point cp, Point p2, Scalar weight),(override))
| MOCK_METHOD (void, RecordCubic,(Point p1, Point cp1, Point cp2, Point p2),(override))
| MOCK_METHOD (void, EndContour,(Point origin, bool with_close),(override))
Public Member Functions inherited from impeller::PathTessellator::SegmentReceiver
virtual void | BeginContour (Point origin, bool will_be_closed)=0
virtual void | RecordLine (Point p1, Point p2)=0
virtual void | RecordQuad (Point p1, Point cp, Point p2)=0
virtual void | RecordConic (Point p1, Point cp, Point p2, Scalar weight)=0
virtual void | RecordCubic (Point p1, Point cp1, Point cp2, Point p2)=0
virtual void | EndContour (Point origin, bool with_close)=0

## Detailed Description

Definition at line 23 of file path_tessellator_unittests.cc.

## Member Function Documentation

## ◆ MOCK_METHOD() [1/6]

impeller::testing::MockSegmentReceiver::MOCK_METHOD | ( | void | ,
|  | BeginContour | ,
|  | (Point origin, bool will_be_closed) | ,
|  | (override) |
| ) |  |

## ◆ MOCK_METHOD() [2/6]

impeller::testing::MockSegmentReceiver::MOCK_METHOD | ( | void | ,
|  | EndContour | ,
|  | (Point origin, bool with_close) | ,
|  | (override) |
| ) |  |

## ◆ MOCK_METHOD() [3/6]

impeller::testing::MockSegmentReceiver::MOCK_METHOD | ( | void | ,
|  | RecordConic | ,
|  | (Point p1, Point cp, Point p2, Scalar weight) | ,
|  | (override) |
| ) |  |

## ◆ MOCK_METHOD() [4/6]

impeller::testing::MockSegmentReceiver::MOCK_METHOD | ( | void | ,
|  | RecordCubic | ,
|  | (Point p1, Point cp1, Point cp2, Point p2) | ,
|  | (override) |
| ) |  |

## ◆ MOCK_METHOD() [5/6]

impeller::testing::MockSegmentReceiver::MOCK_METHOD | ( | void | ,
|  | RecordLine | ,
|  | (Point p1, Point p2) | ,
|  | (override) |
| ) |  |

## ◆ MOCK_METHOD() [6/6]

impeller::testing::MockSegmentReceiver::MOCK_METHOD | ( | void | ,
|  | RecordQuad | ,
|  | (Point p1, Point cp, Point p2) | ,
|  | (override) |
| ) |  |

The documentation for this class was generated from the following file:

- impeller/tessellator/path_tessellator_unittests.cc